<div class="header"><h1 mat-dialog-title class="title-reference">Add reference</h1>
    <button mat-icon-button (click)="onClose()" [mat-dialog-close]="data">
        <mat-icon>close</mat-icon>
    </button></div>
<mat-dialog-content>
    <div class="container">
        <div class="first"><app-file-upload acceptedType=".json"
            message="service description verifiable credential"
            imgSrc="assets/images/cup-blue-big.svg"
            [zone]="'certification'"
            (submittedFile)="updateVC($event)"
                acceptedTypeName="JSON (Gaia-X)"></app-file-upload></div>

        <div class="first disabled"><app-file-upload acceptedType=".json"
            message="certification document signed by a certifying body"
            imgSrc="assets/images/cup-blue-big.svg"
            [zone]="'certification'"
            (submittedFile)="updateCertification($event)"
                acceptedTypeName="PDF"></app-file-upload></div>

        <div class="first disabled"><app-file-upload acceptedType=".json"
            message="self signed certification document and statement on honor"
            imgSrc="assets/images/cup-blue-big.svg"
            [zone]="'certification'"
            (submittedFile)="updateSelfSignedVC($event)"
            acceptedTypeName="PDF"></app-file-upload></div>
    </div>

  <div class="button-container">
    <button mat-button class="btn-ref" (click)="onClose()" [mat-dialog-close]="data">
      Submit
    </button>
  </div>

</mat-dialog-content>
